import {ServiceParams} from '../common';
import {Backend as BaseBackend} from './common';

export interface ServerRequestContext {}

export interface ServerResponseContext {}

export interface ServerParams<Backend extends BaseBackend = BaseBackend> {
	backend: Backend;
}

export interface Server<Backend extends BaseBackend = BaseBackend> {
	backend: Backend;
	serve(params: ServiceParams): Promise<void>;
	close(): Promise<void>;
}
