import {vi} from 'vitest';

export const createDummyDataSource = () => ({
	create: vi.fn(async (data) => data),
	getById: vi.fn(async () => ({})),
	delete: vi.fn(),
	emplace: vi.fn(async () => [{}, { isCreated: false }]),
	getMultiple: vi.fn(async () => []),
	getSingle: vi.fn(async () => ({})),
	getTotalCount: vi.fn(async () => 1),
	newId: vi.fn(async () => 1),
	patch: vi.fn(async (id, data) => ({ ...data, id })),
	initialize: vi.fn(async () => {}),
});
